#
# spec file for package ima-inspect
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           ima-inspect
Version:        0.15
Release:        1.6
Summary:        Output IMA/EVM extended attributes in a human readable format
License:        LGPL-2.1-or-later
Group:          System/Base
URL:            https://github.com/mgerstner/ima-inspect
Source0:        https://github.com/mgerstner/ima-inspect/releases/download/v%{version}/ima-inspect-dist-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  gcc-c++
BuildRequires:  glibc-devel
BuildRequires:  ima-evm-utils-devel
BuildRequires:  tclap

%description
This is a small utility that supplements ima-evm-utils with a way to inspect
the security.ima and security.evm extended attributes in human readable
format.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
make DESTDIR=%{buildroot} install

%files
%defattr(-,root,root,-)
%{_bindir}/ima_inspect

%changelog
* Tue Mar 28 2023 Matthias Gerstner <matthias.gerstner@suse.com>
- version bump to 0.15 which fixes a compilation error on newer GCC / glibc
  versions.
* Thu Jan 14 2021 Matthias Gerstner <matthias.gerstner@suse.com>
- update to upstream minor release version 0.14 which supports additional
  digest algorithms.
* Fri Aug 16 2019 mgerstner <matthias.gerstner@suse.com>
- update to upstream minor release version 0.13 which makes ima-inspect
  compatible with libimaevm new ABI introduced in version 1.2.
* Tue Sep  4 2018 matthias.gerstner@suse.com
- update to upstream minor release version 0.12 which fixes a compatibility
  issue with newer libattr-devel packages. It now uses the xattr.h from
  glibc-devel instead.
* Fri Dec 22 2017 matthias.gerstner@suse.com
- update to upstream version 0.11 which provides new features:
  - support limitation to specific attribute types via -a switch
  - support for outputting the cryptographic primitive like digest,
  signature or HMAC as hex or binary data
* Tue Oct 24 2017 matthias.gerstner@suse.com
- removed openssl-devel build dependency, because ima-evm-utils-devel now
  explicitly defines that dependency with sr#536019
* Mon Oct 23 2017 matthias.gerstner@suse.com
- initial release
